<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <h1 class="title"><%= title %></h1>
            <hr>
        </div>

        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table table-hover ">
                    <thead class="thead-primary">
                        <tr>
                            <th>#</th>
                            <th>Título</th>
                            <th>Precio</th>
                            <th>Stock</th>
                            <th>Artista</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% artworks.forEach((artwork, idx) => { %> 
                        <tr>
                            <td><%= idx+1 %></td>
                            <td><%= artwork.title %></td>
                            <td>$<%= parseFloat(artwork.price).toLocaleString('es-CO') %></td>
                            <td><%= artwork.stock %></td>
                            <td><%= artwork.artistic_name %></td>
                            <td>
                                <div class="btn-group">
                                    <button type="button" class="btn btn-sm btn-outline-primary" onclick="setRol('<%= user.rol %>','<%= user.artistic_name %>','<%= user.biography %>')" data-toggle="modal" data-target="#modalEditProfile" data-user="<%= user.username %>">
                                        <i class="fas fa-edit mx-1"></i>
                                    </button>
                                    
                                    <a type="button" class="btn btn-sm btn-outline-primary" href="artworks/<%= artwork.idartwork %>"><i class="fas fa-eye mx-1"></i></a>
                                    <button type="button" class="btn btn-sm btn-outline-danger" onclick='deleteUser("<%= user.username %>")'><i class="fas fa-trash-alt mx-1"></i></button>
                                </div>
                            </td>
                        </tr>
                        <% }); %> 
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
